SeExpr

Public Member Functions | List of all members
BasicExpression::DummyFuncX Struct Reference

`#include <BasicExpression.h>`

Inheritance diagram for BasicExpression::DummyFuncX:

## Public Member Functions
| DummyFuncX ()
virtual | ~DummyFuncX ()
virtual SeExpr2::ExprType | prep (SeExpr2::ExprFuncNode *node, bool scalarWanted, SeExpr2::ExprVarEnvBuilder &envBuilder) const
virtual SeExpr2::ExprFuncNode::Data * | evalConstant (const SeExpr2::ExprFuncNode *node, ArgHandle args) const
virtual void | eval (ArgHandle args)
Public Member Functions inherited from SeExpr2::ExprFuncSimple
| ExprFuncSimple (const bool threadSafe)
virtual int | buildInterpreter (const ExprFuncNode *node, Interpreter *interpreter) const
| Build an interpreter to evaluate the expression. More...
Public Member Functions inherited from SeExpr2::ExprFuncX
| ExprFuncX (const bool threadSafe)
virtual ExprType | type () const
virtual | ~ExprFuncX ()
bool | isThreadSafe () const
virtual size_t | sizeInBytes () const
| Return memory usage of a funcX in bytes. More...
virtual void | statistics (Statistics &) const
| Give this function a chance to populate its statistics. More...

## Additional Inherited Members
Protected Attributes inherited from SeExpr2::ExprFuncX
bool | _isScalar
ExprType | _type

## Detailed Description

Definition at line 50 of file BasicExpression.h.

## Constructor & Destructor Documentation

## ◆ DummyFuncX()

BasicExpression::DummyFuncX::DummyFuncX | ( |  | ) |
| inline

Definition at line 51 of file BasicExpression.h.

## ◆ ~DummyFuncX()

virtual BasicExpression::DummyFuncX::~DummyFuncX | ( |  | ) |
| inline virtual

Definition at line 52 of file BasicExpression.h.

## Member Function Documentation

## ◆ eval()

virtual void BasicExpression::DummyFuncX::eval | ( | ArgHandle | args | ) |
| inline virtual

Implements SeExpr2::ExprFuncSimple.

Definition at line 68 of file BasicExpression.h.

References SeExpr2::ExprFuncSimple::ArgHandle::outFp.

## ◆ evalConstant()

virtual SeExpr2::ExprFuncNode::Data* BasicExpression::DummyFuncX::evalConstant | ( | const SeExpr2::ExprFuncNode * | node,
|  | ArgHandle | args
| ) |  | const
| inline virtual

Implements SeExpr2::ExprFuncSimple.

Definition at line 64 of file BasicExpression.h.

## ◆ prep()

virtual SeExpr2::ExprType BasicExpression::DummyFuncX::prep | ( | SeExpr2::ExprFuncNode * | node,
|  | bool | scalarWanted,
|  | SeExpr2::ExprVarEnvBuilder & | env
| ) |  | const
| inline virtual

prep the expression by doing all type checking argument checking, etc.

Implements SeExpr2::ExprFuncSimple.

Definition at line 54 of file BasicExpression.h.

References SeExpr2::ExprFuncNode::checkArg(), SeExpr2::ExprType::Constant(), SeExpr2::ExprType::Error(), SeExpr2::ExprType::FP(), SeExpr2::ExprNode::numChildren(), and SeExpr2::ExprType::Varying().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/BasicExpression.h